Skip to main content
POST
/
whatsapp
/
phone_numbers
/
{phone_number}
/
resend_verification
JavaScript
import Telnyx from 'telnyx';

const client = new Telnyx({
  apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});

await client.whatsapp.phoneNumbers.resendVerification('phone_number');
{
  "errors": [
    {
      "code": "<string>",
      "title": "<string>",
      "detail": "<string>",
      "source": {
        "pointer": "<string>",
        "parameter": "<string>"
      },
      "meta": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

phone_number
string
required

Phone number (E.164 format)

Body

application/json
verification_method
enum<string>
default:sms
Available options:
sms,
voice

Response

Code resent